Debian Bug report logs - #506263
Installation report - grub failed when installing from hd-media

Package: installation-reports; Maintainer for installation-reports is Debian Install Team <debian-boot@lists.debian.org>;

Reported by: debbug.lenny.grub@sub.noloop.net

Date: Wed, 19 Nov 2008 22:39:04 UTC

Severity: normal

Done: Miguel Figueiredo <elmig@debianpt.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#506263; Package installation-reports. (Wed, 19 Nov 2008 22:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to debbug.lenny.grub@sub.noloop.net:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 19 Nov 2008 22:39:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: debbug.lenny.grub@sub.noloop.net
To: submit@bugs.debian.org
Subject: Installation report - grub failed when installing from hd-media
Date: Wed, 19 Nov 2008 23:35:59 +0100
Package: installation-reports

Boot method: USB memory stick with businesscard.iso + firmware.tar.gz
Image version: http://cdimage.debian.org/cdimage/lenny_di_rc1/i386/iso-cd/debian-testing-i386-businesscard.iso + http://ftp.nl.debian.org/debian/dists/testing/main/installer-i386/current/images/hd-media/boot.img.gz
Date: 2008.11.17

Machine: HP ProLiant something (new server)
Processor: Some kind of 4-core Xeon (or 2-core + HT?) 2.5ghz
Memory: 4096MB
Partitions: 
 Filesystem            Size  Used Avail Use% Mounted on
 /dev/cciss/c0d0p7      32G  1.1G   29G   4% /
 /dev/cciss/c0d0p1     942M   26M  869M   3% /boot
 /dev/cciss/c0d1p1     539G  198M  539G   1% /export
 /dev/cciss/c0d0p5      63G  181M   59G   1% /home
 /dev/cciss/c0d0p8      32G  520M   30G   2% /var

(The HP SmartArray RAID controller was set up with one "RAID1+0" volume
and another "RAID6" volume)

Output of lspci -knn (or lspci -nn):
 Sorry, I don't have access to the machine at the moment

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [E]
Overall install:        [O]

Comments/Problems:

GRUB 1.x fails to boot from hard drive after installer reboots; 
hangs after the BIOS prints "Booting from hard drive" (absolutely no
GRUB messages or anything). 

Re-inserting the USB stick with the installer and rebooting 
causes the machine to boot successfully from HD. (HD has higher boot 
priority than USB memory stick, so the contents of the USB stick is
probably irrelevant). 

It appears that the presence of an USB stick during GRUB install
confuses GRUB about its whereabouts. I believe the contents of
/boot/grub/device.map was something like this:
  /dev/sda         (hd0)
  /dev/cciss/c0d0  (hd1)
  /dev/cciss/c0d1  (hd2)

(unsure about the last two lines as this is from memory, but they
definitively listed something about /dev/cciss)

also /boot/grub/menu.lst had an entry "root  (hd1,0)"

/dev/sda is of course the USB memory stick. 

So, the first stage grub loader looks for itself on the second 
"hard drive" (hd1), which only works when there's an USB stick present
during boot to take up the (hd0) slot.

To get the machine booting without requiring the memory stick being left
in an USB port, I edited /boot/grub/device.map and removed the
"/dev/sda" entry, and corrected the /dev/cciss entries to start with
(hd0...something?) Also changed /boot/grub/menu.lst to contain "root
(hd0,0)", then ran update-grub, and finally 'grub-install (hd0)', IIRC.

Sorry for not having the exact details about everything, but as I
mentioned I don't have access to the machine at this moment.



Also, the network cards required bnx2 firmware debs on the memory stick.
It'd be helpful if the installer could include an URL to the
firmware.tar.gz and/or pointers to the appropriate section of the
installation manual for how to include those files, when it puts up the
error message about missing firmware.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#506263; Package installation-reports. (Thu, 20 Nov 2008 01:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 506263@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 20 Nov 2008 01:21:02 GMT) Full text and rfc822 format available.

Message #10 received at 506263@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 506263@bugs.debian.org
Cc: debbug.lenny.grub@sub.noloop.net
Subject: Re: Bug#506263: Installation report - grub failed when installing from hd-media
Date: Thu, 20 Nov 2008 01:04:13 +0100
On Wednesday 19 November 2008, debbug.lenny.grub@sub.noloop.net wrote:
> Comments/Problems:
> It appears that the presence of an USB stick during GRUB install
> confuses GRUB about its whereabouts. I believe the contents of
> /boot/grub/device.map was something like this:
>   /dev/sda         (hd0)
>   /dev/cciss/c0d0  (hd1)
>   /dev/cciss/c0d1  (hd2)

Longstanding known issue I'm afraid. See:
http://www.debian.org/devel/debian-installer/errata

> Also, the network cards required bnx2 firmware debs on the memory
> stick. It'd be helpful if the installer could include an URL to the
> firmware.tar.gz and/or pointers to the appropriate section of the
> installation manual for how to include those files, when it puts up the
> error message about missing firmware.

Well, users are supposed to be able to find the installation guide and 
hardcoding such stuff in the installer itself would make it less useful 
for derived distributions. In our opinion the website has sufficient 
links, which will of course be further improved when Lenny is released.

Cheers,
FJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#506263; Package installation-reports. (Thu, 20 Nov 2008 07:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <Christian.Perrier@onera.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 20 Nov 2008 07:36:02 GMT) Full text and rfc822 format available.

Message #15 received at 506263@bugs.debian.org (full text, mbox):

From: Christian Perrier <Christian.Perrier@onera.fr>
To: 506263@bugs.debian.org
Cc: debbug.lenny.grub@sub.noloop.net
Subject: Re: Bug#506263: Installation report - grub failed when installing from hd-media
Date: Thu, 20 Nov 2008 07:01:17 +0100
[Message part 1 (text/plain, inline)]
Quoting Frans Pop (elendil@planet.nl):

> Longstanding known issue I'm afraid. See:
> http://www.debian.org/devel/debian-installer/errata

.../...

> Well, users are supposed to be able to find the installation guide and 
> hardcoding such stuff in the installer itself would make it less useful 
> for derived distributions. In our opinion the website has sufficient 
> links, which will of course be further improved when Lenny is released.


As both issues are covered, either by the errata or the installation
guide, I propose closing the bug report. Frans, given that you did
comments without closing the bug, I think it's better if you do
it.....unless of course you think it should be kept opened.

Still, we could maybe enhance the errata entry and mention this "USB
stick" case as it's probably not obvious for someone installing with a
USB stick that "Disk devices may change on reboot" could apply on
his|her case (as it says "On systems with multiple disk controllers,
blah blah blah").


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#506263; Package installation-reports. (Thu, 20 Nov 2008 09:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debbug.lenny.grub@sub.noloop.net:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 20 Nov 2008 09:06:04 GMT) Full text and rfc822 format available.

Message #20 received at 506263@bugs.debian.org (full text, mbox):

From: debbug.lenny.grub@sub.noloop.net
To: Christian Perrier <Christian.Perrier@onera.fr>
Cc: 506263@bugs.debian.org
Subject: Re: Bug#506263: Installation report - grub failed when installing from hd-media
Date: Thu, 20 Nov 2008 10:00:45 +0100
On Thu, Nov 20, 2008 at 07:01:17 +0100, Christian Perrier wrote:
> Quoting Frans Pop (elendil@planet.nl):
> 
> > Longstanding known issue I'm afraid. See:
> > http://www.debian.org/devel/debian-installer/errata
> 
> .../...
> 
> > Well, users are supposed to be able to find the installation guide and 
> > hardcoding such stuff in the installer itself would make it less useful 
> > for derived distributions. In our opinion the website has sufficient 
> > links, which will of course be further improved when Lenny is released.
> 
> As both issues are covered, either by the errata or the installation
> guide, I propose closing the bug report. Frans, given that you did
> comments without closing the bug, I think it's better if you do
> it.....unless of course you think it should be kept opened.
> 
> Still, we could maybe enhance the errata entry and mention this "USB
> stick" case as it's probably not obvious for someone installing with a
> USB stick that "Disk devices may change on reboot" could apply on
> his|her case (as it says "On systems with multiple disk controllers,
> blah blah blah").

Sounds good to me :)






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#506263; Package installation-reports. (Thu, 20 Nov 2008 11:06:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 20 Nov 2008 11:06:25 GMT) Full text and rfc822 format available.

Message #25 received at 506263@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Christian Perrier <Christian.Perrier@onera.fr>
Cc: 506263@bugs.debian.org, debbug.lenny.grub@sub.noloop.net
Subject: Re: Bug#506263: Installation report - grub failed when installing from hd-media
Date: Thu, 20 Nov 2008 08:43:21 -0200
Christian Perrier <Christian.Perrier@onera.fr> writes:

> Still, we could maybe enhance the errata entry and mention this "USB
> stick" case as it's probably not obvious for someone installing with a
> USB stick that "Disk devices may change on reboot" could apply on
> his|her case (as it says "On systems with multiple disk controllers,
> blah blah blah").

Yes; I agree that the errata text could be improved to be more clear
for outsiders. Could you propose a text and we review it here in
mailing list?

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#506263; Package installation-reports. (Thu, 20 Nov 2008 18:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <Christian.Perrier@onera.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 20 Nov 2008 18:48:06 GMT) Full text and rfc822 format available.

Message #30 received at 506263@bugs.debian.org (full text, mbox):

From: Christian Perrier <Christian.Perrier@onera.fr>
To: 506263@bugs.debian.org, debbug.lenny.grub@sub.noloop.net
Subject: Re: Bug#506263: Installation report - grub failed when installing from hd-media
Date: Thu, 20 Nov 2008 19:44:22 +0100
[Message part 1 (text/plain, inline)]
Quoting Otavio Salvador (otavio@debian.org):

> Yes; I agree that the errata text could be improved to be more clear
> for outsiders. Could you propose a text and we review it here in
> mailing list?


Here it is:

bubulle@mykerinos:~/src/debian/webwml/english/devel/debian-installer> cvs diff errata.wml
Index: errata.wml
===================================================================
RCS file: /cvs/webwml/webwml/english/devel/debian-installer/errata.wml,v
retrieving revision 1.120
diff -r1.120 errata.wml
59a60,68
>
>       <dt>Reboot problems when installing from a USB stik</dt>
>       <dd>
>       The former problem may also happen when installing from a USB stick.
>       Temporarily keeping the USB stick in place will allow you
>       to boot the installed system and correct the bootloader
>       configuration file. See
>       <a href="http://bugs.debian.org/401435">#506263</a>
>       for details about such workaround.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#506263; Package installation-reports. (Fri, 21 Nov 2008 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 21 Nov 2008 17:06:04 GMT) Full text and rfc822 format available.

Message #35 received at 506263@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Christian Perrier <Christian.Perrier@onera.fr>
Cc: 506263@bugs.debian.org, debbug.lenny.grub@sub.noloop.net
Subject: Re: Bug#506263: Installation report - grub failed when installing from hd-media
Date: Fri, 21 Nov 2008 14:59:39 -0200
Christian Perrier <Christian.Perrier@onera.fr> writes:

> Quoting Otavio Salvador (otavio@debian.org):
>
>> Yes; I agree that the errata text could be improved to be more clear
>> for outsiders. Could you propose a text and we review it here in
>> mailing list?
>
>
> Here it is:
>
> bubulle@mykerinos:~/src/debian/webwml/english/devel/debian-installer> cvs diff errata.wml
> Index: errata.wml
> ===================================================================
> RCS file: /cvs/webwml/webwml/english/devel/debian-installer/errata.wml,v
> retrieving revision 1.120
> diff -r1.120 errata.wml
> 59a60,68
>>
>>       <dt>Reboot problems when installing from a USB stik</dt>
                                                        stick
<...>

Rest looks good to me.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#506263; Package installation-reports. (Sun, 23 Nov 2008 06:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <Christian.Perrier@onera.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 23 Nov 2008 06:36:03 GMT) Full text and rfc822 format available.

Message #40 received at 506263@bugs.debian.org (full text, mbox):

From: Christian Perrier <Christian.Perrier@onera.fr>
To: 506263@bugs.debian.org, debbug.lenny.grub@sub.noloop.net
Subject: Re: Bug#506263: Installation report - grub failed when installing from hd-media
Date: Sun, 23 Nov 2008 07:31:14 +0100
[Message part 1 (text/plain, inline)]
Quoting Otavio Salvador (otavio@debian.org):

> >>       <dt>Reboot problems when installing from a USB stik</dt>
>                                                         stick
> <...>
> 
> Rest looks good to me.


Change committed

[signature.asc (application/pgp-signature, inline)]

Reply sent to Miguel Figueiredo <elmig@debianpt.org>:
You have taken responsibility. (Thu, 13 Jan 2011 00:27:10 GMT) Full text and rfc822 format available.

Notification sent to debbug.lenny.grub@sub.noloop.net:
Bug acknowledged by developer. (Thu, 13 Jan 2011 00:27:10 GMT) Full text and rfc822 format available.

Message #45 received at 506263-done@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 506263-done@bugs.debian.org
Date: Thu, 13 Jan 2011 00:26:22 +0000
Closing as the improvement was already commited.

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 Feb 2011 07:32:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:34:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.